<?php

declare(strict_types=1);

namespace Database\Seeders;

use App\Models\Core\IT\Parc\DatacenterSector;
use Illuminate\Database\Seeder;

final class DatacenterSectorSeeder extends Seeder
{
    public function run(): void
    {
        DatacenterSector::create([
            "dedicated_server" => true,
            "dedicated_server_eco" => true,
            "vps" => false,
            "nas_ha" => false,
            "cloud_file" => false,
            "ip_address" => false,
            "load_balancer" => false,
            "vrack" => false,
            "ssl_gateway" => false,
            "hebergement" => true,
            "domain" => false,
            "cloud_db" => false,
            "email" => false,
            "email_pro" => false,
            "collaboration" => false,
            "office" => false,
            "dns_hosting" => false,
            "dns_anycast" => true,
            "cdn" => true,
            "voip_sip" => true,
            "voip_interconnect" => true,
            "voip_telephony" => true,
            "internet_adsl" => true,
            "internet_ftth" => true,
            "datacenter_id" => 1
        ]);
        DatacenterSector::create([
            "dedicated_server" => false,
            "dedicated_server_eco" => false,
            "vps" => false,
            "nas_ha" => false,
            "cloud_file" => false,
            "ip_address" => false,
            "load_balancer" => true,
            "vrack" => true,
            "ssl_gateway" => false,
            "hebergement" => true,
            "domain" => false,
            "cloud_db" => true,
            "email" => false,
            "email_pro" => false,
            "collaboration" => false,
            "office" => false,
            "dns_hosting" => false,
            "dns_anycast" => true,
            "cdn" => true,
            "voip_sip" => true,
            "voip_interconnect" => true,
            "voip_telephony" => true,
            "internet_adsl" => true,
            "internet_ftth" => true,
            "datacenter_id" => 2
        ]);
        DatacenterSector::create([
            "dedicated_server" => false,
            "dedicated_server_eco" => false,
            "vps" => true,
            "nas_ha" => false,
            "cloud_file" => false,
            "ip_address" => true,
            "load_balancer" => true,
            "vrack" => false,
            "ssl_gateway" => false,
            "hebergement" => true,
            "domain" => true,
            "cloud_db" => true,
            "email" => true,
            "email_pro" => true,
            "collaboration" => true,
            "office" => true,
            "dns_hosting" => true,
            "dns_anycast" => true,
            "cdn" => true,
            "voip_sip" => true,
            "voip_interconnect" => true,
            "voip_telephony" => true,
            "internet_adsl" => true,
            "internet_ftth" => true,
            "datacenter_id" => 3
        ]);
        DatacenterSector::create([
            "dedicated_server" => true,
            "dedicated_server_eco" => true,
            "vps" => true,
            "nas_ha" => false,
            "cloud_file" => false,
            "ip_address" => true,
            "load_balancer" => true,
            "vrack" => false,
            "ssl_gateway" => false,
            "hebergement" => false,
            "domain" => false,
            "cloud_db" => false,
            "email" => false,
            "email_pro" => false,
            "collaboration" => false,
            "office" => false,
            "dns_hosting" => true,
            "dns_anycast" => true,
            "cdn" => true,
            "voip_sip" => true,
            "voip_interconnect" => true,
            "voip_telephony" => true,
            "internet_adsl" => true,
            "internet_ftth" => true,
            "datacenter_id" => 4
        ]);
        DatacenterSector::create([
            "dedicated_server" => true,
            "dedicated_server_eco" => true,
            "vps" => false,
            "nas_ha" => true,
            "cloud_file" => true,
            "ip_address" => true,
            "load_balancer" => true,
            "vrack" => false,
            "ssl_gateway" => false,
            "hebergement" => false,
            "domain" => false,
            "cloud_db" => false,
            "email" => false,
            "email_pro" => false,
            "collaboration" => false,
            "office" => false,
            "dns_hosting" => true,
            "dns_anycast" => true,
            "cdn" => true,
            "voip_sip" => true,
            "voip_interconnect" => true,
            "voip_telephony" => true,
            "internet_adsl" => true,
            "internet_ftth" => true,
            "datacenter_id" => 5
        ]);
        DatacenterSector::create([
            "dedicated_server" => true,
            "dedicated_server_eco" => true,
            "vps" => false,
            "nas_ha" => true,
            "cloud_file" => true,
            "ip_address" => true,
            "load_balancer" => true,
            "vrack" => false,
            "ssl_gateway" => false,
            "hebergement" => false,
            "domain" => false,
            "cloud_db" => false,
            "email" => false,
            "email_pro" => false,
            "collaboration" => false,
            "office" => false,
            "dns_hosting" => true,
            "dns_anycast" => true,
            "cdn" => true,
            "voip_sip" => true,
            "voip_interconnect" => true,
            "voip_telephony" => true,
            "internet_adsl" => true,
            "internet_ftth" => true,
            "datacenter_id" => 6
        ]);
        DatacenterSector::create([
            "dedicated_server" => false,
            "dedicated_server_eco" => false,
            "vps" => true,
            "nas_ha" => false,
            "cloud_file" => true,
            "ip_address" => true,
            "load_balancer" => true,
            "vrack" => true,
            "ssl_gateway" => true,
            "hebergement" => false,
            "domain" => false,
            "cloud_db" => true,
            "email" => false,
            "email_pro" => false,
            "collaboration" => false,
            "office" => false,
            "dns_hosting" => true,
            "dns_anycast" => true,
            "cdn" => true,
            "voip_sip" => true,
            "voip_interconnect" => true,
            "voip_telephony" => true,
            "internet_adsl" => true,
            "internet_ftth" => true,
            "datacenter_id" => 7
        ]);
    }
}
